#!/usr/bin/env python3

from argparser import argparser
from helpers import * 

def main():
    args = argparser.parse_args()
    match args.command:
        case "build":
            build_site()
        case "init":
            init_site()
            return
        case "new" | "create" | "edit":
            edit_content(args.filename)

if __name__ == '__main__':
    main()